Adieu Uralt-Software

Bisher habe ich auf meiner Website auch noch sehr alte Software technisch unterstützt:

  • Internet Explorer 8 (und älter), der am 5. März 2008 veröffentlicht wurde.
  • Windows XP, dessen offizieller Support im April 2014 eingestellt wurde und bei dem die Unterstützung für SNI fehlt, weshalb Browser, die keine eigene TLS-Implementierung verwenden, dort meine Website nicht über HTTPS nutzen können (z.B. Chrome oder Internet Explorer).
  • Android 2 oder älter, dem ebenfalls die Unterstützung für SNI fehlt.

Mittlerweile ist es August 2016. Windows XP und ältere Versionen des Internet Explorer haben praktisch keine Bedeutung mehr. So erfolgen weniger als 0,1% der Zugriffe auf meiner Website mit Internet Explorer 8 und ältere Versionen kommen praktisch gar nicht mehr vor. Bei Android 2 ist die Situation ähnlich: unter 0,1%.

Daher habe ich mich entschlossen, ab sofort die Berücksichtigung dieser Uralt-Software einzustellen. Die Website verwendet jetzt auch immer HTTPS (wofür Browser auch SNI unterstützen müssen) und html5shiv wird ebenfalls nicht mehr verwendet.

PS: Meine Website ist auch weiterhin barrierefrei und auch ohne JavaScript benutzbar.

Öffentlichen Kommentar hinterlassen

Deine E-Mail-Adresse wird nicht veröffentlicht. Wenn Du mich persönlich erreichen möchtest, siehe Impressum.